commit 94907dba5250b8038be24b3d0e57daec7ac822eb
Author: Cui, Lili <lili.cui@intel.com>
Date:   Thu Jun 29 05:10:35 2023

    x86: Update model values for Alderlake and Rocketlake.
    
    Update model values for Alderlake and Rocketlake according to SDM.
    
    gcc/ChangeLog
    
            * common/config/i386/cpuinfo.h (get_intel_cpu): Remove model value 0xa8
            from Rocketlake, remove model value 0xbf from Alderlake.

diff --git a/gcc/common/config/i386/cpuinfo.h b/gcc/common/config/i386/cpuinfo.h
index 0333da56ba5..28b2ff0b033 100644
--- a/gcc/common/config/i386/cpuinfo.h
+++ b/gcc/common/config/i386/cpuinfo.h
@@ -435,7 +435,6 @@ get_intel_cpu (struct __processor_model *cpu_model,
       cpu_model->__cpu_subtype = INTEL_COREI7_SKYLAKE;
       break;
     case 0xa7:
-    case 0xa8:
       /* Rocket Lake.  */
       cpu = "rocketlake";
       CHECK___builtin_cpu_is ("corei7");
@@ -508,7 +507,6 @@ get_intel_cpu (struct __processor_model *cpu_model,
       break;
     case 0x97:
     case 0x9a:
-    case 0xbf:
       /* Alder Lake.  */
       cpu = "alderlake";
       CHECK___builtin_cpu_is ("corei7");

